This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 443386 - Font glyphs corruption when EXA is enabled
Font glyphs corruption when EXA is enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
http://gitweb.freedesktop.org/?p=xorg...
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-04-21 05:54 EDT by Stefan Becker
Modified: 2008-06-23 03:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.4.99.902-3.20080612.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 03:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 15513 None None None Never

  None (edit)
Description Stefan Becker 2008-04-21 05:54:54 EDT
See URL to freedesktop bugzilla for detailed descriptions.

xserver commit 6c95fae1e9d6b0eb64bc78eced05a6e9f5faf02e should fix the issue.
Please include it in F9 to make (at least) xorg-x11-drv-radeon users happy...
Comment 2 Adam Jackson 2008-04-29 13:06:01 EDT
Uh?  That patch only changes the migration heuristics.  It shouldn't affect
correctness.
Comment 3 Stefan Becker 2008-04-29 15:37:48 EDT
If you check the discussion about the xorg-x11-drv-ati bug you'll see that the
glyph corruption problem goes away for me and several others with this server
patch included.

You'll have to ask the commit's author (Michael Dänzer) why it helps...
Comment 5 Bill Nottingham 2008-05-02 16:17:19 EDT
EXA is not default on Radeon. Ergo, I don't see this as a blocker for F9 release.
Comment 6 Bug Zapper 2008-05-14 05:50:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Stefan Becker 2008-06-23 03:55:09 EDT
F9 X server has been updated to a newer git snapshot that includes the mentioned
commit.

Note You need to log in before you can comment on or make changes to this bug.